@echo off
echo --------------------------------------------------
echo Dead Space 3 Door Sound Bug Patcher by monochrony
echo --------------------------------------------------
if not exist bigfile0.viv goto error	
setlocal
set file="bigfile0.viv"
set maxbytesize=17500000
FOR /F "usebackq" %%A IN ('%file%') DO set size=%%~zA
if %size% LSS %maxbytesize% goto error5
if not exist bigfile1.viv goto error
if not exist bigfile2.viv goto error
if not exist bigfile3.viv goto error
if not exist bigfile4.viv goto error
if not exist bigfile5.viv goto error
if not exist bigfile.patch.viv goto error2
echo.
:intro
echo. Game files found. Start Patching? (y / n)
echo.
set /p choice=
if '%choice%' == 'n' goto abort
if '%choice%' == 'y' goto patch
goto error3
:patch
timeout>nul /t 1 /nobreak
echo.
if exist bigfile12.viv (
	ren bigfile12.viv bigfile13.viv
	echo. bigfile12.viv renamed to bigfile13.viv
	timeout>nul /t 1 /nobreak
)
if exist bigfile11.viv (
	ren bigfile11.viv bigfile12.viv
	echo. bigfile11.viv renamed to bigfile12.viv
	timeout>nul /t 1 /nobreak
)
if exist bigfile10.viv (
	ren bigfile10.viv bigfile11.viv
	echo. bigfile10.viv renamed to bigfile11.viv
	timeout>nul /t 1 /nobreak
)
if exist bigfile9.viv (
	ren bigfile9.viv bigfile10.viv
	echo. bigfile9.viv renamed to bigfile10.viv
	timeout>nul /t 1 /nobreak
)
if exist bigfile8.viv (
	ren bigfile8.viv bigfile9.viv
	echo. bigfile8.viv renamed to bigfile9.viv
	timeout>nul /t 1 /nobreak
)
if exist bigfile7.viv (
	ren bigfile7.viv bigfile8.viv
	echo. bigfile7.viv renamed to bigfile8.viv
	timeout>nul /t 1 /nobreak
)
if exist bigfile6.viv (
	ren bigfile6.viv bigfile7.viv
	echo. bigfile6.viv renamed to bigfile7.viv
	timeout>nul /t 1 /nobreak
)
ren bigfile5.viv bigfile6.viv
echo. bigfile5.viv renamed to bigfile6.viv
timeout>nul /t 1 /nobreak
ren bigfile4.viv bigfile5.viv
echo. bigfile4.viv renamed to bigfile5.viv
timeout>nul /t 1 /nobreak
ren bigfile3.viv bigfile4.viv
echo. bigfile3.viv renamed to bigfile4.viv
timeout>nul /t 1 /nobreak
ren bigfile2.viv bigfile3.viv
echo. bigfile2.viv renamed to bigfile3.viv
timeout>nul /t 1 /nobreak
ren bigfile1.viv bigfile2.viv
echo. bigfile1.viv renamed to bigfile2.viv
timeout>nul /t 1 /nobreak
ren bigfile0.viv bigfile1.viv
echo. bigfile0.viv renamed to bigfile1.viv
timeout>nul /t 1 /nobreak
ren bigfile.patch.viv bigfile0.viv
echo. bigfile.patch.viv renamed to bigfile0.viv
timeout>nul /t 1 /nobreak
echo.
echo. Patching successful!
echo.
echo ---------------------------------------------------------------------------------------------------------
echo. Thanks to Rick (blog.gib.me) and daemon1 @ forum.xentax.com for providing the necessary tools and help.
echo ---------------------------------------------------------------------------------------------------------
echo.
:delif
echo. Delete DS3Patcher.bat and ReadMe.txt? (y / n)
set /p delchoice=
if '%delchoice%' == 'n' exit
if '%delchoice%' == 'y' goto del
goto error4
:exit
echo.
echo. Press any key to close the patcher . . .
pause>nul
exit
:del
if exist ReadMe.txt del /f /q ReadMe.txt
del /f/q "%~0" | exit
:abort
echo.
echo. Patching canceled.
goto exit
:error
echo.
echo. Error:
echo. Game file(s) missing. Please unpack patch files to the correct installation directory.
echo. (Usually "C:\Program Files (x86)\Origin Games\Dead Space 3\")
echo.
echo. Repair your Dead Space 3 installation via Origin, if necessary.
goto exit
:error2
echo.
echo. Error:
echo. Patch file missing. Please unpack all patch files to the correct installation directory.
echo. (Usually "C:\Program Files (x86)\Origin Games\Dead Space 3\")
goto exit
:error3
echo.
echo. Input Error:
echo. Please answer with a small letter y or n.
echo.
goto intro
:error4
echo.
echo. Input Error:
echo. Please answer with a small letter y or n.
echo.
goto delif
:error5
echo.
echo. Patch already applied!
echo.
goto exit